RDKit::Abbreviations::AbbreviationDefinition Struct Reference

`#include <Abbreviations.h>`

## Public Member Functions

bool | operator== (const AbbreviationDefinition &other) const
| optional More...
bool | operator!= (const AbbreviationDefinition &other) const

## Public Attributes

std::string | label
std::string | displayLabel
std::string | displayLabelW
std::string | smarts
std::shared_ptr< ROMol > | mol
std::vector< unsigned int > | extraAttachAtoms
| optional More...

## Detailed Description

Definition at line 23 of file Abbreviations.h.

## Member Function Documentation

## operator!=()

bool RDKit::Abbreviations::AbbreviationDefinition::operator!= | ( | const AbbreviationDefinition & | other | ) | const

inline

Definition at line 34 of file Abbreviations.h.

## operator==()

bool RDKit::Abbreviations::AbbreviationDefinition::operator== | ( | const AbbreviationDefinition & | other | ) | const

inline

optional

Definition at line 30 of file Abbreviations.h.

References displayLabel, displayLabelW, label, and smarts.

## Member Data Documentation

## displayLabel

std::string RDKit::Abbreviations::AbbreviationDefinition::displayLabel

Definition at line 25 of file Abbreviations.h.

Referenced by operator==().

## displayLabelW

std::string RDKit::Abbreviations::AbbreviationDefinition::displayLabelW

Definition at line 26 of file Abbreviations.h.

Referenced by operator==().

## extraAttachAtoms

std::vector<unsigned int> RDKit::Abbreviations::AbbreviationDefinition::extraAttachAtoms

optional

Definition at line 29 of file Abbreviations.h.

## label

std::string RDKit::Abbreviations::AbbreviationDefinition::label

Definition at line 24 of file Abbreviations.h.

Referenced by operator==().

## mol

std::shared_ptr<ROMol> RDKit::Abbreviations::AbbreviationDefinition::mol

Definition at line 28 of file Abbreviations.h.

## smarts

std::string RDKit::Abbreviations::AbbreviationDefinition::smarts

Definition at line 27 of file Abbreviations.h.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- Abbreviations.h